Subject: Re: How to move from /ppc/ to /powerpc/

From: Matthew McClintock <[email-masked]>
Date: Mon, 25 Sep 2006 12:20:51 -0500

On Mon, 2006-09-25 at 19:17 +0200, Fredrik Roubert wrote:
> On Mon 25 Sep 18:49 CEST 2006, Matthew McClintock wrote:
> 
> > It looks like you already have your chosen node in your DTS file. With
> > my u-boot patches the appropriate chosen node is added to the flat tree
> > based off the u-boot environment.
> 
> Ah, that's true, in ft_setup(), I didn't see that. Thanks! (I'd been
> thinking about how the command line should be passed from U-Boot, but
> decided to postpone that investigation until I solved the serial console
> problem.)
> 
> However, the code in ft_setup() doesn't assign "linux,stdout-path", so
> if I remove the chosen node from my DTS, then I get no print-out on the
> serial console at all. (But the rest of the system appears to run fine
> and I can log in using SSH.) Can this be a clue to someone as to what
> could be the problem with my serial console?
> 

>>From u-boot/common/ft_build.c:

#ifdef OF_STDOUT_PATH
        ft_prop_str(&cxt, "linux,stdout-path", OF_STDOUT_PATH);
#endif

There is a define for adding that to the /chosen node. Add this to your
u-boot include file and the console should show up.

Good Luck.

-Matthew